<?xml version="1.0" encoding="utf-8" ?>
<taskrunner name="accesscontrol" version="1.1" date="2008-10-30" maxthreads="1">

  <!-- 3pp compnents -->

  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <parameters>
    <parameter name="fullpath" value="#INPUT"/>
  </parameters>


  <tasks>
    <task name="AddAccessControl" typename="@AddAccessControl">
      <errormessage>
        Task AddAccessControl failed for ${fullpath}
      </errormessage>
      
      <parameters>
        <parameter name="fullpath" value="${fullpath}"/>
        <parameter name="account" value="${windows.users.group.name}"/>
        <parameter name="filesystemrights" value="FullControl"/>
        <parameter name="inheritanceflags" value="ContainerInherit,ObjectInherit"/>
        <parameter name="propagationflags" value="None"/>
        <parameter name="accesscontroltype" value="Allow"/>
      </parameters>
    </task>
  </tasks>
</taskrunner>